summaryrefslogtreecommitdiffstats
path: root/system/slackupdr/slackupdr.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/slackupdr/slackupdr.SlackBuild')
-rw-r--r--system/slackupdr/slackupdr.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/system/slackupdr/slackupdr.SlackBuild b/system/slackupdr/slackupdr.SlackBuild
index e567fb7a3b..728b677a82 100644
--- a/system/slackupdr/slackupdr.SlackBuild
+++ b/system/slackupdr/slackupdr.SlackBuild
@@ -25,13 +25,16 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=slackupdr
-VERSION=${VERSION:-3.5}
+VERSION=${VERSION:-3.6}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
ARCH=noarch
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -41,7 +44,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-set -e
+set -Eeu
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT